# Get Model Service - GetUMInferService

## Overview

Get Model Service






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetUMInferService`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **UminferID** | string | Inference service id |No|
| **Offset** | string | offset |No|
| **Limit** | string | limit |No|
| **UminferType** | string | Default preDeploy, can obtain DeepSeek Key |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **Data** | array[[*UMInferServiceData*](#uminferservicedata)] | inference service data |**Yes**|
| **TotalCount** | int | Number of Models |No|

#### Data Model


#### UMInferServiceData

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Replicas** | int | service replicas |No|
| **ReadyReplicas** | int | service ready replicas |No|
| **ComputingUnit** | int | compute unit |No|
| **UminferID** | string | Inference Service Resource ID |No|
| **UminferType** | string | Inference Service Resource Type |No|
| **Status** | string | Service Status |No|
| **URL** | string | Service's url |No|
| **Name** | string | Service Name |No|
| **CreateTime** | int | Creation Time |No|
| **ModelID** | string | Model ID |No|
| **ModelName** | string | Model Name |No|
| **Describe** | string | Description |No|
| **Key** | string | Model Authentication Key |No|

## Example

### Request Example
    
```
https://api.genesissai.com/?Action=GetUMInferService
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=GNVYddTa
&UminferID=RsxHEWlY
&Offset=LXFRVNPf
&Limit=vMvKDwux
&UminferType=ePdgTiBX
&UminferType=iElIyEEt
```

### Response Example
    
```json
{
  "Action": "GetUMInferServiceResponse",
  "Data": [
    {
      "CreateTime": 2,
      "Describe": "UIMSNZYA",
      "Key": "kvIMoROs",
      "ModelID": "upulyoUb",
      "ModelName": "mwqyUBRb",
      "Name": "pqXdTEHZ",
      "Status": "cn-zj",
      "URL": "VNUrGwuD",
      "UminferID": "KRuoTTwF"
    }
  ],
  "RetCode": 0,
  "TotalCount": 2
}
```





